kompendium
2.0.2
2.0.2 2.0.1

# defaultValueInjector

open fun defaultValueInjector (param: KParameter ): Any
Content copied to clipboard

Allows the reflection invoker to populate a parameter map with values in order to sus out any default parameters.

#### Return

value of the proper type to match param

## Parameters

param

Parameter to provide value for

## Throws

kotlin.IllegalStateException

if parameter type is not one of the basic types supported below.